Mixedbread

Delete Store

Delete a store by ID or name.

DELETE
/v1/stores/{store_identifier}

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Api key to access Mixedbreads API

Path Parameters

store_identifier*|

The ID or name of the store to delete

Response Body

The details of the deleted store

application/json
  1. response

Response model for store deletion.

id*|

ID of the deleted store

deleted*Deleted

Whether the deletion was successful

object?Object

Type of the deleted object

Default"store"
Example Request
from mixedbread import Mixedbread

mxbai = Mixedbread(api_key="YOUR_API_KEY")

response = mxbai.stores.delete(store_identifier="my-knowledge-base")

print(response)
Example Response
{
  "id": "vs_abc123",
  "object": "store",
  "deleted": true
}